Issue 9599

Title
Missing digits attribute on Cost Price History
Priority
bug
Status
closed
Nosy list
ced, pokoli, reviewbot
Assigned to
pokoli
Keywords
review

Created on 2020-09-15.12:33:49 by pokoli, last changed 1 month ago by pokoli.

Messages

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-09-15.15:21:02
On 2020-09-15 14:12, Sergi Almacellas Abellana wrote:
> Then why we have the contraint on the transaction tables?

Because it is data entry for the user so we must enforce the
constraints.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2020-09-15.14:12:45
Then why we have the contraint on the transaction tables? For example the stock move have the digits contraint so reducing the digits will also break all the existing records on the transaction tables.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-09-15.14:10:14
This is not a safe design. An history value should never have constraint.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2020-09-15.13:19:30
El 15/9/20 a les 13:15, C├ędric Krier ha escrit:
> It must not have digits as precision can change over time.

IIUC precision can only increase over time. So there should not be any issue.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-09-15.13:15:20
It must not have digits as precision can change over time.
clients must be fixed if they do not display the correct number.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2020-09-15.12:33:49
The Cost Price field of the Product Cost History model does not have any digits attribute set. This makes the clients display a diferent number (5 digits on tryton and 3 digits on tryton). This may cause to confusion to the user as a digit is missing on sao.
History
Date User Action Args
2020-09-24 23:17:05pokolisetstatus: testing -> closed
2020-09-15 15:21:02cedsetmessages: + msg60134
2020-09-15 14:12:45pokolisetmessages: + msg60131
2020-09-15 14:10:14cedsetmessages: + msg60130
2020-09-15 13:19:30pokolisetmessages: + msg60128
2020-09-15 13:15:20cedsetnosy: + ced
messages: + msg60127
2020-09-15 12:50:56reviewbotsetnosy: + reviewbot
messages: + msg60126
2020-09-15 12:35:17pokolisetstatus: in-progress -> testing
reviews: 324001002
keyword: + review
2020-09-15 12:33:49pokolicreate

Showing 10 items. Show all history (warning: this could be VERY long)